TGRMach - Support #247

Crear proyecto en uCANca
02/12/2016 05:08 PM - Txinto Vaz

Status: In Progress Start date: 02/12/2016
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 0%
Category: Estimated time: 4.00 hours
Target version: v0.2_USB_y MSX Spent time: 3.00 hours
Description

Crear un proyecto en uCANca para dar soporte al proyecto (y crear sinergia con el desarrollo de uCANca.

History

#1 - 02/12/2016 05:35 PM - Txinto Vaz
- File MCU _base.ods added
- File uCANca_TGRMach_Arch_Spec.ods added

- Status changed from New to In Progress

Creamos la hoja de célculo de arquitectura uCANca Arch, con los siguientes médulos:

USB: conector USB que nos conecta con un ordenador.

POW: Toma las corrientes de los diferentes pines del DB9 que puedan llevarlas, y también del pin VUSB que viene del USB, y crea la corriente
Vin para la MCU.

e DB9: Conector DB9 de la norma Atari, con entradas viniendo de la MCU (Teensy) y con salidas de voltaje +5V para el médulo POW.

MCU: Placa de control Teensy.

También hemos creado el apartado Teensy32 para definir el pinout de una Teensy 3.2, en el fichero MCU_base.ods
Hemos importado el fichero a un proyecto vacio llamado TGRMach.

El resultado puede verse aqui:

http://ucanca.gatatac.org/projects/4-tgrmach

#2 - 02/12/2016 05:54 PM - Txinto Vaz

Creamos también las funciones:

e Joystick USB.
* Joystick MSX.
e Joystick Amiga.

que se apoyan en las siguientes subfunciones.

¢ Power USB.
Power MSX.
Power Amiga.
Power Manager.
USB Encoder.
MSX Encoder.
Amiga Encoder.

#3 - 02/12/2016 05:57 PM - Txinto Vaz
- File BloquesHw.png added
- File PinoutTeensy.png added

Podemos ver cémo hemos hecho el pinout en la hoja de célculo:
http://ucanca.gatatac.org/projects/4-tgrmach

Legend:
MCU Type Teensy32
MMC Block ID: MCU '|
O | 0| |
Complete Name | Block ID F’::E Pin Port Functions Signal ID
[ [
01 GMND MCLU 1 |GND GND
02 _ATARIS MCLU 2 |DIOO/RXLTouchl ATARIS
03 ATARI7 MCU 3 |DIOLTXLTouch? ATARIT
04 POWERLED MCU 4 |DIO2 POWERLED
05_ATARIG MCU 5 |DIO3/CTH/Pwml ATARIG
06 ATARI4 MCU 6 |DIO4/CRX/Pwm2 ATARI4
07 _ATARI3 MCU 7 |DIOSTXL{b)/Pwm3 ATARI3
08 _ATARIZ MCU 8 |DIOG/Pwmd ATARIZ
09 ATARIL MCLU 9 |DIOT/RX3/DOUT(h) ATARIL
MCU 10 [DIO8/TX3/DIN(b) N/C
11 JOY BUTIL MCU 11 [DIO9/R¥2/ICS(b)/Pwmb5 JOY BUT11
12 JOY BUT10 MCU 12 [DIO1OMX2/CS/Pwmb JOY BUT10
13 JOY _BUTY MCU 13 [DIO11/DOUT JOY _BUTA
14 JOY _BUTS MCU 14 [DIO12/DIN JOY _BUTS
15 JOY _BUTY MCU 15 [DIO13/LED/SCK JOY _BUTT
16 _JOY _BUTG MCU 16  [DIO14HAD/SCK(R) JOY _BUTG
17 JOY BUTS MCLU 17  |DIO1S/AL/CS(c)/Touch3 JOY _BUTS
18 JOY BUT4 MCLU 18  [DIO16/A2/SCLO(b) Touchd JOY _BUT4
19 JOY BUT3 MCU 16 [DIO17/A3/SDAD(b) Touchs JOY BUT3
20 JOY BUT2 MCU 20  |DIO18/A4/SDAD TouchG JOY BUT2
21 JOY BUTL MCLU 21 |DIO19/ASISCLOMouch? JOY _BUTL
y cémo hemos definido los bloques:
= = = = 0| 0| 0| 0|
Complete Name | pinNe | Cqnnected to Ciheriock | Funcaa | Direct Signal ID SW Label | TestPoint | Signal Funct
pin? pin? ns on
POW 01 GND 1 01 GND input Power
POW 02 Vush 2 34 Vusb input Power
POW 03 Wmsx 3 msx input Vmsx WVmsx Power
POW 04 Vatari 4 atari input atari Watari Power
POW 05 WCC 5 28 VCC output Power
USB 01 GND 1 01 GMND output Power
USB_02_USBTX 2 53 USBTX input Bus
USB 03 _USBRX 3 54 USBRX output Bus
USE 04 Vusb 4 34 Vush output Power
DE9 01 ATARIL 1 09 ATARI1 input DI
DEQ_02_ATARIZ 2 08_ATARIZ input DI
DEQ 03_ATARI3 3 07_ATARI3 input DI
DE9 04 ATARM 4 06 ATARIA input DI
DE9 05 ATARIS 5 41 ATARIS input DI
DEQ_06_ATARIG 6 05_ATARIG input DI
DBE9 07 _ATARIT T 03 ATARIV input Dl
DEQ 08 _ATARIS 8 02_ATARI8 input DI
DE9 09 ATARI9 9 42 ATARIO9 input DI
DE9_10 Vmsx 10 POW_03_Wmsx output Power
DB9 11 Watari 11 POW 04 Vatari output Power
1 [T
#4 - 02/12/2016 06:00 PM - Txinto Vaz
- File MCU.png added
Para ver como queda en uCANca, podemos ver el bloque MCU (que representa la Teensy):
TGRMach
Abbrev MCU

Sub system Software

npe
Parent TGRMach
Root TGRWach
Project TGRMach
Layer Especificacion

Full name tgrmach_MCL

Connectors

PINOUT

1:GND, 2:ATARIS, 3:ATARI7, 4 PFOWERLED, 5:ATARIG, 6:ATARM,
7:ATARIZ, 8:ATARIZ, 9:ATARIL, 10:J0Y_BUTLL, 11:J0¥_BUTI0,
12:10%_BUTS, 13:J0Y_BUTS, 14:J0Y_BUT7, 15:J0Y_BUTS,
16:10%_BUTS, 17:J0Y_BUT4, 18:J0Y_BUT3, 19:J0Y_BUTZ,
20:J0Y¥_BUTL, 21.J0Y_RIGHT, 22:J0¥_DOWN, 23:J0Y_LEFT,
24:]0Y_UP, 25:VCC, 26:Vush, 27-ATARIS, 28:ATARIS, 29 USETX,
30:USBRX

Mew Connector

Children

Tree:

Diagrama Arbol MCU

= mculd
= = pmouTE
- GHND
- ATARIR
= ATARIT
“POWERLED
- ATARIE
- ATARK4
- ATARG

- ATARIZ
- BATART

#5 - 02/19/2016 08:09 PM - Txinto Vaz
CAPTURAS DE PANTALLA HOJA DE CALCULO OBSOLETAS!!I PINES REASIGNADOS.

Functions Flows Sub systems State machines Conversion targets

Diagrama SWG MCLU

GHD

JO¥_BUTL1
Jo_BUTLO
Jor_BUTS
Jor_BUTE
Jor_BUTT
Jo¥_BUTE
Jo¥_BUTS
Jo¥_BUT4
Jo¥_BUT3
JOY_BUTZ
JOY_BUTL
JO¥_RIGHT
OY_DOWN
JO¥_LEFT

Joy_ue

WCC

Wush

USERX

Automatic code generators:
» DRE header
+ Code
= DRE IO functions
+ Code

Recableamos segln nueva configuracion de pines, ver diferencias en €5584{46

Nuevos pines:

/**** P
#define

#define
#define
#define
#define

in assigment section ****/
CFG_POWERGND_PIN 2 // anteriormente 2

CFG_JOY_UP_PIN 23 // anteriormente 23

CFG_JOY_DOWN_PIN 21 // anteriormente 21
CFG_JOY_LEFT_PIN 22 // anteriormente 22
CFG_JOY_RIGHT_PIN 20 // anteriormente 20

04/16/2024

PINOUT

PINOUT
tgrrmach_MCU

ATARIE

ATARIT

POWERLED

ATAR|G

ATARIS

ATARIZ

ATARIZ

ATARIL

ATARIS

ATARIS

USETX
Datu

Seal


http://gatatac.org/projects/tgrmach/repository/revisions/e5584f46222b55f5e7e3073b6af977df5091ff9f

#define
#define
#define
#define
#define
#define
#define
#define
#define
#define
#define

CFG_JOY_GREENBUT_PIN 19// anteriormente 19
CFG_JOY_REDBUT_PIN 18 // anteriormente 18
CFG_JOY_BLUEBRUT_PIN 17 // anteriormente 17
CFG_JOY_YELLOWBUT_PIN 16 // anteriormente 16
CFG_JOY_GREYBUT_PIN 15 // anteriormente 15
CFG_JOY_BLACKBUT_PIN 14 // anteriormente 14
CFG_JOY_WHITELBUT_PIN 29 // anteriormente 12
CFG_JOY_WHITERBUT_PIN 30 // anteriormente 11
CFG_JOY_MODERUT_PIN 31 // anteriormente 10
CFG_JOY_RESTARTBUT_PIN 32 // anteriormente 9
CFG_JOY_PLAYERBUT_PIN 33 // anteriormente 8

/**** ATARI norm output

#define
#define
#define
#define
#define
#define
#define
#define
#define
#define

Files

CFG_ATARI_PIN_1
CFG_ATARI_PIN_2
CFG_ATARI_PIN_3
CFG_ATARI_PIN_4
CFG_ATARI_PIN_5
CFG_ATARI_PIN_6
CFG_ATARI_PIN_7
CFG_ATARI_PIN_8

****/

9
8
7
6

5

//
//
//
//
//

anteriormente
anteriormente
anteriormente
anteriormente
anteriormente

S0 oy

NC

12 // anteriormente 3
11 // anteriormente 1

10 // anteriormente O
CFG_ATARI_PIN_9 4 // anteriormente NC
CFG_ATARI_PIN_9 4 // anteriormente NC

// MSX
// MSX
// MSX
// MSX
// MSX
// MS
// MS
// MS
// MSX
// MSX

FW // AZUL ler conector
BACK // VERDE ler conector
LEFT // AMARILLO ler conector
RIGHT // BLANCO ler conector
+5v // ROJO ler conector
X TRG1 // AZUL 20 conector
X TRG2 // VERDE 20 conector
X OUT // AMARILLO 20 conector
GND // NEGRO ler conector
GND // NEGRO ler conector

MCU_base.ods
uCANca_TGRMach_Arch_Spec.ods
BloquesHw.png

PinoutTeensy.png

MCU.png

04/16/2024

133 KB 02/12/2016
144 KB 02/12/2016
85.9 KB 02/12/2016
92.6 KB 02/12/2016
90.8 KB 02/12/2016

Txinto Vaz
Txinto Vaz
Txinto Vaz
Txinto Vaz
Txinto Vaz

/4


http://www.tcpdf.org

